> ## Documentation Index
> Fetch the complete documentation index at: https://docs.conductor.is/llms.txt
> Use this file to discover all available pages before exploring further.

# Authentication

The Conductor API uses [API keys](/usage/keys) to authenticate requests.

Your secret API keys carry many privileges, so be sure to keep them secure. Do not share your secret API keys in publicly accessible areas such as Git, client-side code, or a public website.

You must make all API calls over HTTPS. Calls that you make over plain HTTP will fail. API requests without authentication will also fail.

<Tabs>
  <Tab title="Node.js">
    Use your API Secret Key by setting it in the constructor when instantiating the Conductor client or by setting the environment variable `CONDUCTOR_SECRET_KEY`. The Python library will automatically include this key in all API requests. For enhanced security, we recommend using environment variables to avoid hardcoding sensitive credentials in your code.

    ```ts Example authenticated request theme={"system"}
    import Conductor from "conductor-node";

    const conductor = new Conductor({ apiKey: "YOUR_SECRET_KEY" });

    const endUsers = await conductor.endUsers.list();
    ```
  </Tab>

  <Tab title="Python">
    Use your API Secret Key by setting it in the constructor when instantiating the Conductor client or by setting the environment variable `CONDUCTOR_SECRET_KEY`. The Python library will automatically include this key in all API requests. For enhanced security, we recommend using environment variables to avoid hardcoding sensitive credentials in your code.

    ```python Example authenticated request theme={"system"}
    from conductor import Conductor

    conductor = Conductor(api_key="YOUR_SECRET_KEY")

    end_users = conductor.end_users.list()
    ```
  </Tab>

  <Tab title="cURL">
    Authentication to the API is performed with bearer auth. Provide your API Secret Key in the `Authorization` header.

    ```sh Example authenticated request theme={"system"}
    curl -X GET https://api.conductor.is/v1/end-users \
         -H "Authorization: Bearer {{YOUR_SECRET_KEY}}"
    ```
  </Tab>
</Tabs>


Built with [Mintlify](https://mintlify.com).